summaryrefslogtreecommitdiff
path: root/scripts/update-charon-pin.sh
diff options
context:
space:
mode:
authorGuillaume Boisseau2024-05-14 15:20:34 +0200
committerGitHub2024-05-14 15:20:34 +0200
commit0d5ef8ac5abc49e5adabee97edbb7ff712bd8d10 (patch)
tree45bd9be065218c24c259a84fd95c68644b7bf722 /scripts/update-charon-pin.sh
parent44b31973eb5a8c27e5620081669488e3b5899638 (diff)
parent50f5794587c56be833bd2fc0f48d008a46fc69a0 (diff)
Merge pull request #169 from AeneasVerif/charon-pin
Diffstat (limited to 'scripts/update-charon-pin.sh')
-rwxr-xr-xscripts/update-charon-pin.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/scripts/update-charon-pin.sh b/scripts/update-charon-pin.sh
new file mode 100755
index 00000000..418602b8
--- /dev/null
+++ b/scripts/update-charon-pin.sh
@@ -0,0 +1,7 @@
+#!/usr/bin/env bash
+if ! which jq 2> /dev/null 1>&2; then
+ echo 'Error: command `jq` not found.'
+ exit 1
+fi
+echo '# This is the commit from https://github.com/AeneasVerif/charon that should be used with this version of aeneas.' > ./charon-pin
+jq -r .nodes.charon.locked.rev flake.lock >> ./charon-pin